import { Streamer } from "./streamer";
interface CachePlugin {
    get<T>(key: string): Promise<T | null>;
    set(key: string, value: unknown, ms?: number): Promise<void>;
}
declare enum CACHING_STRATEGY {
    CacheThenNetwork = "CacheThenNetwork",
    NetWorkThenCache = "NetWorkThenCache"
}
interface CacheConfiguration {
    plugin?: string;
    strategy?: CACHING_STRATEGY;
    duration?: string | number;
    cacheWithCookie?: boolean;
}
declare class CacheFactory {
    private plugins;
    constructor();
    create(configuration: CacheConfiguration | true): Streamer;
    getPlugin(plugin?: string): CachePlugin;
    parseMs(duration?: string | number): number;
    getStrategy(strategy?: CACHING_STRATEGY): CACHING_STRATEGY;
    register(name: string, plugin: CachePlugin | (new () => CachePlugin)): void;
}
export { CachePlugin, CACHING_STRATEGY, CacheFactory, CacheConfiguration };
