"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Holder = void 0;
const streamer_1 = require("./streamer");
class Holder extends streamer_1.Streamer {
    constructor() {
        super("holder" /* StreamType.HOLDER */);
        this.holdQueue = {};
    }
    onResponse(chunk, next) {
        const holdQueue = this.holdQueue[chunk.key];
        if (holdQueue) {
            holdQueue.forEach(holdChunk => {
                this.respond(Object.assign(Object.assign({}, chunk), { id: holdChunk.id, cb: holdChunk.cb }));
            });
            delete this.holdQueue[chunk.key];
        }
        else {
            next(chunk);
        }
    }
    onRequest(chunk, next) {
        const holdQueue = this.holdQueue[chunk.key];
        if (holdQueue) {
            holdQueue.push(chunk);
        }
        else {
            this.holdQueue[chunk.key] = [chunk];
            next(chunk);
        }
    }
}
exports.Holder = Holder;
//# sourceMappingURL=holder.js.map