"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Network = void 0;
const streamer_1 = require("./streamer");
const supra_http_1 = __importDefault(require("supra-http"));
class Network extends streamer_1.Streamer {
    constructor(requestName) {
        super("network" /* StreamType.NETWORK */);
        this.requestName = requestName;
    }
    onRequest(chunk) {
        supra_http_1.default
            .request(this.requestName, chunk.requestOptions.url, chunk.requestOptions)
            .then(res => {
            this.respond(Object.assign(Object.assign({}, chunk), { response: Object.assign({ body: res.json || res.body }, res.response) }));
        })
            .catch(error => {
            this.respond(Object.assign(Object.assign({}, chunk), { error }));
        });
    }
}
exports.Network = Network;
//# sourceMappingURL=network.js.map